# NOTE: Derived from blib/lib/Inline.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Inline;

#line 546 "blib/lib/Inline.pm (autosplit into blib/lib/auto/Inline/write_Makefile_PL.al)"
#==============================================================================
# Generate the Makefile.PL
#==============================================================================
sub write_Makefile_PL {
    use strict;
    use Data::Dumper;

    my $o = shift;
    my %options = (
		   VERSION => '0.00',
		   %Inline::Config::MAKEFILE,
		   NAME => $o->{module},
		  );
    
    open MF, "> $o->{build_dir}/Makefile.PL"
      or croak;
    
    print MF <<END;
use ExtUtils::MakeMaker;
my %options = %\{       
END

    local $Data::Dumper::Terse = 1;
    local $Data::Dumper::Indent = 1;
    print MF Data::Dumper::Dumper(\ %options);

    print MF <<END;
\};
WriteMakefile(\%options);
END
    close MF;
}

# end of Inline::write_Makefile_PL
1;
